# Bluetooth device connected

A decision block that checks if a Bluetooth device is connected, or disconnected.

If the proceed option is set to Immediately, then check if device is currently connected without pausing the fiber. If set to When changed, then the fiber will pause until device has been connected, or was disconnected.

The address of a device may be randomized at regular intervals unless devices has been paired, and the name may not always be available.

For disconnects, i.e. the NO path, some of the output variables maybe `null`, this is due to some such events not referencing the affected Bluetooth device.

Note! Android doesn’t support checking the currently connected devices, for proceed Immediately check, Automate tries to work around this limitation, but it may be unreliable.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Device address — address of device, default is any.
- Device name — name of device, default is any.
- Device type — type of device, default is any.
- Paired — whether the device must be paired.

## Output variables

- Connected device address — variable to assign the address of the connected device.
- Connected device name — variable to assign the name of the connected device.
- Connected device type — variable to assign the type of the connected device.